from google.protobuf.internal import containers as _containers
from google.protobuf.internal import enum_type_wrapper as _enum_type_wrapper
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from typing import ClassVar as _ClassVar, Iterable as _Iterable, Mapping as _Mapping, Optional as _Optional, Union as _Union

DESCRIPTOR: _descriptor.FileDescriptor

class MovingLoad(_message.Message):
    __slots__ = ("action_category", "all_surfaces_used", "comment", "generate_load_cases", "lane_definitions", "load_cases", "movements", "id_for_export_import", "metadata_for_export_import")
    class ActionCategory(int, metaclass=_enum_type_wrapper.EnumTypeWrapper):
        __slots__ = ()
        ACTION_CATEGORY_UNKNOWN: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_ACCIDENTAL_ACTIONS_A: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_ACCIDENTAL_ACTION_A: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_ACCIDENTAL_LOAD_AL: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_ACTIONS_DUE_TO_CLIMATE_CHANGES_IN_TEMPERATURE_AND_AIR_PRESSURE_QC: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_ACTIONS_DUE_TO_CRANES_HORIZONTAL_AND_VERTICAL_Q_CR: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_ACTIONS_DURING_EXECUTION_Q_EX: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_ACTIONS_WITH_LIMITED_MAXIMUM_VALUES_Q_LI: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_ACTION_FROM_SOIL_PERMANENT_EARTH_LOADS_GS: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_ACTION_FROM_SOIL_PERMANENT_EARTH_PRESSURE_GS: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_ACTION_FROM_SOIL_PERMANENT_WATER_PRESSURE_GS: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_ACTION_FROM_SOIL_VARIABLE_EARTH_PRESSURE_GS: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_ACTION_FROM_SOIL_VARIABLE_WATER_PRESSURE_GS: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_ASH_LOAD_ON_ROOFINGS_ADJACENT_TO_BLAST_FURNACE_TABLE_5_4_1_2_Q_AS: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_ASH_LOAD_ON_ROOFINGS_TABLE_5_4_1_1_Q_AS: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_ASSEMBLY_CONSTRAINTS_QA: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_CIVIL_BUILDINGS_ASSEMBLY_HALL_THEATER_CINEMA_Q_CB: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_CIVIL_BUILDINGS_AUTOMOBILE_PASSAGE_AND_GARAGE_ONE_WAY_SLAB_FLOOR_BUS_Q_CB: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_CIVIL_BUILDINGS_AUTOMOBILE_PASSAGE_AND_GARAGE_ONE_WAY_SLAB_FLOOR_FIRE_ENGINE_Q_CB: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_CIVIL_BUILDINGS_AUTOMOBILE_PASSAGE_AND_GARAGE_TWO_WAY_SLAB_FLOOR_FIRE_ENGINE_Q_CB: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_CIVIL_BUILDINGS_AUTOMOBILE_PASSAGE_AND_GARAGE_TWO_WAY_SLAB_ROOF_BUS_Q_CB: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_CIVIL_BUILDINGS_BALCONY_OTHER_Q_CB: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_CIVIL_BUILDINGS_BALCONY_POPULATION_MAY_BE_CONCENTRATED_Q_CB: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_CIVIL_BUILDINGS_BATHROOM_TOILET_AND_WASHROOM_BUILDINGS_IN_ITEM_NO_1_Q_CB: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_CIVIL_BUILDINGS_BATHROOM_TOILET_AND_WASHROOM_FOR_OTHER_BUILDINGS_Q_CB: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_CIVIL_BUILDINGS_CANTEEN_DINING_HALL_ORDINARY_ARCHIVES_Q_CB: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_CIVIL_BUILDINGS_CLASSROOM_LABORATORY_READING_ROOM_MEETING_ROOM_Q_CB: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_CIVIL_BUILDINGS_DANCE_HALL_Q_CB: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_CIVIL_BUILDINGS_DWELLING_HOSTEL_HOTEL_OFFICE_HOSPITAL_WARD_Q_CB: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_CIVIL_BUILDINGS_GYMNASIUM_ARENA_Q_CB: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_CIVIL_BUILDINGS_KITCHEN_FOR_DINING_HALL_Q_CB: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_CIVIL_BUILDINGS_KITCHEN_OTHER_Q_CB: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_CIVIL_BUILDINGS_LAUNDRY_Q_CB: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_CIVIL_BUILDINGS_PASSAGE_ENTRANCE_HALL_STAIRCASE_HOSTEL_HOTEL_NURSERY_Q_CB: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_CIVIL_BUILDINGS_PASSAGE_ENTRANCE_HALL_STAIRCASE_OFFICE_CLASSROOM_Q_CB: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_CIVIL_BUILDINGS_PASSAGE_ENTRANCE_HALL_STAIRCASE_THICK_STREAM_OF_PEOPLE_Q_CB: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_CIVIL_BUILDINGS_STAIRS_APARTMENT_HOUSE_Q_CB: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_CIVIL_BUILDINGS_STAIRS_OTHER_Q_CB: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_CIVIL_BUILDINGS_STANDS_WITHOUT_FIXED_SEAT_Q_CB: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_CIVIL_BUILDINGS_STOREHOUSE_FOR_COLLECTING_BOOKS_ARCHIVES_STOREROOMS_Q_CB: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_CIVIL_BUILDINGS_STORES_AND_SHOPS_EXHIBITION_HALLS_STATION_PORT_AIRPORT_Q_CB: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_CIVIL_BUILDINGS_VENTILATOR_MOTOR_ROOM_ELEVATOR_MOTOR_ROOM_Q_CB: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_CIVIL_BUILDINGS_WAREHOUSE_WITH_A_DENSE_CONCENTRATION_OF_SHELVING_Q_CB: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_CONCENTRATED_AND_RAILING_LOADS_Q_CO: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_CONCRETE_PRESSURE_Q4_2: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_CONSTRUCTION_AND_MAINTENANCE_LOADS_AND_HORIZONTAL_LOAD_ON_RAILINGS_ACC_TO_5_5_3_Q_CM: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_CONSTRUCTION_LOADS_DUE_TO_WORKING_PERSONNEL_Q_CP: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_CONSTRUCTION_OPERATIONS_LOADING_Q2_3: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_CRANE_LOADS_LIFTING_HOOK_CRANES_OF_WORKING_GRADE_A8_Q_CR: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_CRANE_LOADS_WORKING_GRADES_A1_A3_Q_CR: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_CRANE_LOADS_WORKING_GRADES_A4_A5_Q_CR: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_CRANE_LOADS_WORKING_GRADES_A6_A7_Q_CR: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_CRANE_LOAD_CL: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_DEAD_LOAD_D: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_DEAD_LOAD_DL: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_DEAD_LOAD_GK: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_DEAD_LOAD_SOIL_DLS: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_DEAD_LOAD_SOIL_DS: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_DEAD_LOAD_SOIL_GKS: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_DEBRIS_EFFECT_Q6_2: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_EARTHQUAKE_LOAD_E: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_EARTHQUAKE_LOAD_EL: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_EARTHQUAKE_LOAD_HORIZONTAL_EH: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_EARTHQUAKE_LOAD_VERTICAL_EV: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_EARTH_PRESSURE_FE: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_EFFECTS_OF_HORIZONTAL_EARTHQUAKE_FORCES_QE: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_EQUIPMENT_CHARGES_OF_CONTAINERS_LIQUID_Q_E3: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_EQUIPMENT_CHARGES_OF_CONTAINERS_LOOSE_Q_E4: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_EQUIPMENT_FORKLIFTS_AND_ELECTRIC_TRUCKS_Q_E5: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_EQUIPMENT_ISOLATION_OF_EQUIPMENT_Q_E2: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_EQUIPMENT_PERMANENT_EQUIPMENT_Q_E1: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_EQUIPMENT_STORED_MATERIALS_AND_PRODUCTS_Q_M: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_ERECTION_LOAD_ER: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_EXCEPTIONAL_EXC: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_FATIGUE_ACTION_QFAT: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_FATIGUE_LM3_QFAT: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_FLOOD_LOAD_FA: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_FOUNDATION_SUBSIDENCE_QF: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_GENERAL_CONSTRUCTION_ELEMENTS_AND_EQUIPMENT_G_GE: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_GENERAL_VARIABLE_ACTIONS_Q_GE: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_GEOTECHNICAL_LOADS_PERMANENT_GEP: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_GEOTECHNICAL_LOADS_VARIABLE_GEV: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_GR1A_LM1_PEDESTRIAN_CYCLE_TRACK_GR1A: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_GR1B_SINGLE_AXLE_GR1B: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_GR2_HORIZONTAL_FORCES_LM1_GR2: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_GR3_PEDESTRIAN_LOAD_GR3: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_GR4_CROWD_LOADING_PEDESTRIAN_LOAD_GR4: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_GR5_SPECIAL_VEHICLES_LM1_GR5: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_GR6_LOADS_FOR_BEARINGS_EXCHANGE_GR6: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_GROUND_WATER_FGW: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_HEIGHT_DIFFERENCE_GH: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_HORIZONTAL_EARTHQUAKE_ACTION_EH: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_ICE_ACTION_FICE: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_ICE_LOADINGS_Q_I: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_ICE_QI: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_IMPOSED_ACTION_Q: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_IMPOSED_DEFORMATIONS_DUE_TO_PRE_STRESSING_P: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_IMPOSED_LOADS_ACCESSIBLE_FLAT_ROOFS_EXCLUDING_CATEGORIES_A_TO_D_Q_J: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_IMPOSED_LOADS_ACCESSIBLE_FLAT_ROOFS_WITH_OCCUPANCY_A_Q_KA: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_IMPOSED_LOADS_ACCESSIBLE_FLAT_ROOFS_WITH_OCCUPANCY_B_Q_KB: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_IMPOSED_LOADS_ACCESSIBLE_FLAT_ROOFS_WITH_OCCUPANCY_C_Q_KC: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_IMPOSED_LOADS_ACCESSIBLE_FLAT_ROOFS_WITH_OCCUPANCY_D_Q_KD: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_IMPOSED_LOADS_AREAS_WHERE_PEOPLE_CAN_CONGREGATE_Q_C: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_IMPOSED_LOADS_CATEGORY_A_DOMESTIC_RESIDENTIAL_AREAS_QI_A: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_IMPOSED_LOADS_CATEGORY_B_OFFICE_AREAS_QI_B: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_IMPOSED_LOADS_CATEGORY_C_CONGREGATION_AREAS_QI_C: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_IMPOSED_LOADS_CATEGORY_D_SHOPPING_AREAS_QI_D: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_IMPOSED_LOADS_CATEGORY_E_STORAGE_AREAS_QI_E: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_IMPOSED_LOADS_CATEGORY_E_TRAFFIC_AREA_VEHICLE_WEIGHT_LESS_OR_EQUAL_TO_30_KN_QI_E: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_IMPOSED_LOADS_CATEGORY_F_ROOFS_ACCESSIBLE_ONLY_PRIVATELY_QI_F: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_IMPOSED_LOADS_CATEGORY_F_TRAFFIC_AREA_VEHICLE_WEIGHT_LESS_OR_EQUAL_TO_30_KN_QI_F: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_IMPOSED_LOADS_CATEGORY_G1_ROOFS_SLOPE_LESS_THAN_20_Q_G1: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_IMPOSED_LOADS_CATEGORY_G2_ROOFS_SLOPE_MORE_THAN_40_Q_G2: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_IMPOSED_LOADS_CATEGORY_G_TRAFFIC_AREA_VEHICLE_WEIGHT_LESS_OR_EQUAL_TO_160_KN_QI_G: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_IMPOSED_LOADS_CATEGORY_H_INACCESSIBLE_ROOFS_QI_H: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_IMPOSED_LOADS_CATEGORY_H_ROOFS_ACCESSIBLE_ONLY_FOR_MAINTENANCE_QI_H: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_IMPOSED_LOADS_CATEGORY_H_ROOFS_QI_H: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_IMPOSED_LOADS_CATEGORY_I_ROOFS_ACCESSIBLE_QI_I: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_IMPOSED_LOADS_CATEGORY_I_ROOFS_HELICOPTER_QI_I: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_IMPOSED_LOADS_CATEGORY_J_ROOFS_HELIPORT_EQUIPMENT_QI_J: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_IMPOSED_LOADS_CATEGORY_K_FLAT_ROOFS_HELICOPTER_QI_K: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_IMPOSED_LOADS_CATEGORY_K_FLAT_ROOFS_OTHER_QI_K: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_IMPOSED_LOADS_CATEGORY_K_ROOFS_FOR_SPECIAL_USES_HELIPORTS_QI_K: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_IMPOSED_LOADS_DOMESTIC_AND_RESIDENTIAL_AREAS_Q_A: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_IMPOSED_LOADS_FORK_LIFTS_Q_FL: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_IMPOSED_LOADS_FROM_CRANES_CLASS_11_12_13_Q_CR: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_IMPOSED_LOADS_FROM_CRANES_CLASS_1_7_Q_CR: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_IMPOSED_LOADS_FROM_CRANES_CLASS_8_Q_CR: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_IMPOSED_LOADS_FROM_CRANES_CLASS_9_10_Q_CR: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_IMPOSED_LOADS_FROM_CRANES_SUPPORT_FORCES_Q_CR: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_IMPOSED_LOADS_HELICOPTER_LOAD_Q_HC: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_IMPOSED_LOADS_INACCESSIBLE_ROOFS_Q_H: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_IMPOSED_LOADS_INDUSTRIAL_USE_Q_E2: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_IMPOSED_LOADS_LIGHT_INDUSTRIAL_USE_Q_E1: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_IMPOSED_LOADS_LIVE_LOADS_LL: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_IMPOSED_LOADS_PUBLIC_AREAS_NOT_SUSCEPTIBLE_TO_CROWDING_Q_B: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_IMPOSED_LOADS_SHOPPING_AREAS_Q_D: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_IMPOSED_LOADS_STORAGE_AREAS_Q_E3: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_IMPOSED_LOADS_TRAFFIC_AND_PARKING_AREAS_FOR_VEHICLES_25_KN_Q_F: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_IMPOSED_LOADS_TRAFFIC_AND_PARKING_AREAS_FOR_VEHICLES_25_KN_TO_160_KN_Q_G: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_IMPOSED_LOAD_QK: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_INDUSTRIALIZED_CONSTRUCTION_ELEMENTS_G_IN: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_INDUSTRIALIZED_CONSTRUCTION_ELEMENTS_WITH_ADDITION_ON_SITE_G_IS: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_INDUSTRIAL_BUILDINGS_COTTON_MILLING_WORKSHOP_TABLE_D_0_1_4_Q_IB: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_INDUSTRIAL_BUILDINGS_GRAIN_PROCESSING_WORKSHOP_TABLE_D_0_1_6_Q_IB: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_INDUSTRIAL_BUILDINGS_MANUFACTURING_WORKSHOP_TABLE_D_0_1_2_ITEM_NO_1_2_4_6_Q_IB: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_INDUSTRIAL_BUILDINGS_MANUFACTURING_WORKSHOP_TABLE_D_0_1_2_ITEM_NO_3_5_Q_IB: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_INDUSTRIAL_BUILDINGS_MANUFACTURING_WORKSHOP_TABLE_D_0_1_2_ITEM_NO_7_Q_IB: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_INDUSTRIAL_BUILDINGS_METAL_WORKING_WORKSHOP_TABLE_D_0_1_1_Q_IB: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_INDUSTRIAL_BUILDINGS_PREPARATORY_WORKSHOP_FOR_TIRE_PLANT_TABLE_D_0_1_5_Q_IB: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_INDUSTRIAL_BUILDINGS_SEMICONDUCTOR_PRODUCTION_WORKSHOP_TABLE_D_0_1_3_Q_IB: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_INFLUENCES_RESULTING_FROM_TEMPERATURE_CHANGES_SHRINKAGE_OR_CREEP_ETC_T: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_IN_SITU_CONCRETE_LOADING_ALLOWANCE_Q4_1: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_LATERAL_EARTH_PRESSURE_H: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_LIQUID_PRESSURE_FLP: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_LIVE_LOADS_ON_ROOFS_HELICOPTER_ON_THE_ROOF_ACC_TO_5_3_2_Q_LR: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_LIVE_LOADS_ON_ROOFS_MANNED_ROOF_Q_LR: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_LIVE_LOADS_ON_ROOFS_ROOF_GARDEN_Q_LR: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_LIVE_LOADS_ON_ROOFS_ROOF_SPORTS_GROUND_Q_LR: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_LIVE_LOADS_ON_ROOFS_UNMANNED_ROOF_Q_LR: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_LIVE_LOAD_DUE_TO_EARTHQUAKE_E: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_LIVE_LOAD_DUE_TO_WIND_W: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_LIVE_LOAD_L: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_LIVE_LOAD_Q: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_LOADS_FROM_CRANES_GROUP_6K_Q_C4: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_LOADS_FROM_CRANES_GROUP_7K_Q_C3: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_LOADS_FROM_CRANES_GROUP_8K_ELASTIC_Q_C2: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_LOADS_FROM_CRANES_GROUP_8K_RIGID_Q_C1: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_LOADS_FROM_CRANES_IN_GENERAL_Q_C1: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_LOADS_FROM_CRANES_OTHER_GROUPS_Q_C5: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_LOADS_FROM_VEHICLES_Q_V: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_LOADS_PRODUCED_BY_FLOWING_WATER_Q6_1: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_LOAD_ARISING_FROM_EXTRAORDINARY_EVENT_AK: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_LOAD_DUE_TO_FLUIDS_WITH_WELL_DEFINED_PRESSURES_AND_MAXIMUM_HEIGHTS_F: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_LOAD_DUE_TO_GROUND_WATER_PRESSURE_HW: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_LOAD_DUE_TO_LATERAL_EARTH_PRESSURE_GROUND_WATER_PRESSURE_H: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_LOAD_DUE_TO_LATERAL_EARTH_PRESSURE_OR_PRESSURE_OF_BULK_MATERIALS_HEB: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_MAXIMUM_WIND_Q5_1: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_NONE_NONE: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_NOTIONAL_HORIZONTAL_FORCES_ACCORDING_TO_BS_5950_NK: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_NOTIONAL_LOAD_FOR_STRUCTURAL_INTEGRITY_N: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_OTHER_ACTIONS_QO: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_OTHER_CONSTRUCTION_LOADS_Q_CO: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_OTHER_IMPOSED_PERMANENT_DEFORMATIONS_FOR_EXAMPLE_SETTLEMENT_G_OT: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_OTHER_LIVE_LOADS_QO: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_OTHER_LOADS_Q9: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_OTHER_TYPES_OF_VARIABLE_LOADS_Q_OT: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_PERMANENT_EARTH_PRESSURE_G_E: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_PERMANENT_FROM_CRANES_G_CR: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_PERMANENT_G: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_PERMANENT_G1: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_PERMANENT_GEOTECHNICAL_ACTIONS_SOIL_PARAMETERS_FACTORED_G_GF: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_PERMANENT_GEOTECHNICAL_ACTIONS_SOIL_PARAMETERS_UN_FACTORED_G_GU: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_PERMANENT_IMPOSED_GQ: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_PERMANENT_IMPOSED_NON_STRUCTURAL_GQ: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_PERMANENT_LOADS_FROM_FLUIDS_G_FL: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_PERMANENT_NON_STRUCTURAL_G2: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_PERMANENT_SELF_WEIGHT_SELF_WEIGHT_OF_SOIL_G: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_PERMANENT_SMALL_FLUCTUATIONS_G_ASTERISK: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_PERMANENT_SOIL_GS: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_PERMANENT_WATER_PRESSURE_G_W: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_PERSONNEL_LOADS_QP: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_PLACEMENT_LOADS_QP: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_PREMISES_OF_BUILDINGS_UNIFORM_LOADS_2_KN_M2_AND_MORE_Q_U2: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_PREMISES_OF_BUILDINGS_UNIFORM_LOADS_LESS_THAN_2_KN_M2_Q_U1: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_PRESTRESSING_Q8_3: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_PRESTRESS_P: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_RAINWATER_PONDING_FPND: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_RAIN_LOAD_QR: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_RAIN_LOAD_R: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_ROOF_LIVE_LOAD_LR: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_ROOF_LIVE_LOAD_QR: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_SEISMIC_ACTIONS_AE: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_SEISMIC_AE: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_SEISMIC_EFFECTS_Q7: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_SELF_STRAINING_FORCE_PERMANENT_TP: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_SELF_STRAINING_FORCE_VARIABLE_TV: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_SELF_WEIGHT_CONCRETE_1600_KG_M3_AND_LESS_ON_BUILDING_SITE_G_C3: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_SELF_WEIGHT_CONCRETE_1600_KG_M3_AND_LESS_PREFABRICATED_G_C2: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_SELF_WEIGHT_CONCRETE_MORE_THAN_1600_KG_M3_STONE_TIMBER_G_C1: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_SELF_WEIGHT_G: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_SELF_WEIGHT_OF_GENERAL_WOODEN_STRUCTURES_G_WG: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_SELF_WEIGHT_OF_INDUSTRIALIZED_WOODEN_STRUCTURES_G_WI: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_SELF_WEIGHT_OF_METAL_STRUCTURES_G_ME: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_SELF_WEIGHT_OF_PREFABRICATED_STRUCTURES_G_PR: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_SELF_WEIGHT_OF_STRUCTURES_BUILT_ON_SITE_G_SI: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_SELF_WEIGHT_Q1_1: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_SELF_WEIGHT_SOIL_MODIFIED_G_SM: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_SELF_WEIGHT_SOIL_NATURAL_G_SN: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_SELF_WEIGHT_STEEL_CONSTRUCTIONS_G_S1: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_SELF_WEIGHT_STEEL_CONSTRUCTIONS_OVER_50_OF_TOTAL_LOAD_G_S2: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_SERVICEABILITY_EARTHQUAKE_ACTION_ES: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_SERVICEABILITY_WIND_ACTION_WS: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_SETTLEMENTS_OF_SUPPORTS_SHRINKAGE_SETT: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_SETTLEMENT_Q8_2: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_SNOW_ACTION_FSN: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_SNOW_AND_ICE_Q2_4: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_SNOW_ICE_AND_RAIN_S: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_SNOW_ICE_LOADS_1_LESS_OR_EQUAL_TO_SK_LESSER_THAN_2_KN_M2_QS: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_SNOW_ICE_LOADS_2_LESS_OR_EQUAL_TO_SK_LESSER_THAN_3_KN_M2_QS: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_SNOW_ICE_LOADS_FINLAND_ICELAND_QS: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_SNOW_ICE_LOADS_H_GREATER_THAN_1000_M_QS: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_SNOW_ICE_LOADS_H_LESS_OR_EQUAL_TO_1000_M_QS: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_SNOW_ICE_LOADS_OUTDOOR_TERRACES_AND_BALCONIES_SK_GREATER_THAN_2_75_KN_M2_QS: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_SNOW_ICE_LOADS_OUTDOOR_TERRACES_AND_BALCONIES_SK_LESS_OR_EQUAL_TO_2_75_KN_M2_QS: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_SNOW_ICE_LOADS_QS: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_SNOW_ICE_LOADS_SK_GREATER_OR_EQUAL_TO_3_KN_M2_QS: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_SNOW_ICE_LOADS_SK_GREATER_THAN_2_75_KN_M2_QS: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_SNOW_ICE_LOADS_SK_LESS_OR_EQUAL_TO_2_75_KN_M2_QS: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_SNOW_LOADINGS_Q_S: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_SNOW_LOAD_S: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_SNOW_LOAD_ZONE_III_S: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_SNOW_LOAD_ZONE_II_S: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_SNOW_LOAD_ZONE_I_S: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_SNOW_REGION_SAINT_PIERRE_AND_MIQUELON_QS: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_SOIL_Q1_2: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_SPECIAL_LOADINGS_PS: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_STORAGE_AREAS_Q2_2: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_SUPPORTED_CONSTRUCTION_Q2_1: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_TEMPERATURE_CLIMATIC_INFLUENCES_Q_T: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_TEMPERATURE_FIRE_TS: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_TEMPERATURE_NON_FIRE_QT: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_TEMPERATURE_Q8_1: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_TEMPERATURE_SHRINKAGE_CREEP_ETC_T: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_THERMAL_ACTIONS_ARISING_FROM_THE_FIRE_T: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_THERMAL_ACTIONS_QT: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_THERMAL_ACTION_ACCORDING_TO_9_1_3_T: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_TORNADO_LOAD_WT: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_ULTIMATE_EARTHQUAKE_ACTION_EU: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_ULTIMATE_WIND_ACTION_WU: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_UNEVEN_SETTLEMENTS_G_US: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_UNIT_LOADS_QU: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_VARIABLE_GEOTECHNICAL_ACTIONS_SOIL_PARAMETERS_FACTORED_GROUNDWATER_GEF1: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_VARIABLE_GEOTECHNICAL_ACTIONS_SOIL_PARAMETERS_FACTORED_GROUND_WATER_FLUIDS_GEF2: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_VARIABLE_GEOTECHNICAL_ACTIONS_SOIL_PARAMETERS_FACTORED_OTHER_ACTIONS_GEF3: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_VARIABLE_GEOTECHNICAL_ACTIONS_SOIL_PARAMETERS_UN_FACTORED_GROUNDWATER_GEU1: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_VARIABLE_GEOTECHNICAL_ACTIONS_SOIL_PARAMETERS_UN_FACTORED_GROUND_WATER_FLUIDS_GEU2: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_VARIABLE_GEOTECHNICAL_ACTIONS_SOIL_PARAMETERS_UN_FACTORED_OTHER_ACTIONS_GEU3: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_VARIABLE_LOADS_FROM_FLUIDS_Q_FL: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_VARIABLE_PERSISTENT_HORIZONTAL_IMPOSED_ACTIONS_Q3: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_VARIABLE_Q: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_VERTICAL_EARTHQUAKE_ACTION_EV: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_WEIGHT_OF_ICE_DI: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_WIND_LOADINGS_Q_W: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_WIND_LOADS_FWK_EXECUTION_QWE: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_WIND_LOADS_FWK_PERSISTENT_DESIGN_SITUATIONS_QWP: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_WIND_LOADS_FW_QW: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_WIND_LOAD_ACCORDING_TO_8_1_4_W: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_WIND_LOAD_W: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_WIND_LOAD_WK: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_WIND_LOAD_WL: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_WIND_ON_ICE_DETERMINED_IN_ACCORDANCE_WITH_SECTION_10_WI: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_WIND_QW: _ClassVar[MovingLoad.ActionCategory]
        ACTION_CATEGORY_WORKING_WIND_Q5_2: _ClassVar[MovingLoad.ActionCategory]
    ACTION_CATEGORY_UNKNOWN: MovingLoad.ActionCategory
    ACTION_CATEGORY_ACCIDENTAL_ACTIONS_A: MovingLoad.ActionCategory
    ACTION_CATEGORY_ACCIDENTAL_ACTION_A: MovingLoad.ActionCategory
    ACTION_CATEGORY_ACCIDENTAL_LOAD_AL: MovingLoad.ActionCategory
    ACTION_CATEGORY_ACTIONS_DUE_TO_CLIMATE_CHANGES_IN_TEMPERATURE_AND_AIR_PRESSURE_QC: MovingLoad.ActionCategory
    ACTION_CATEGORY_ACTIONS_DUE_TO_CRANES_HORIZONTAL_AND_VERTICAL_Q_CR: MovingLoad.ActionCategory
    ACTION_CATEGORY_ACTIONS_DURING_EXECUTION_Q_EX: MovingLoad.ActionCategory
    ACTION_CATEGORY_ACTIONS_WITH_LIMITED_MAXIMUM_VALUES_Q_LI: MovingLoad.ActionCategory
    ACTION_CATEGORY_ACTION_FROM_SOIL_PERMANENT_EARTH_LOADS_GS: MovingLoad.ActionCategory
    ACTION_CATEGORY_ACTION_FROM_SOIL_PERMANENT_EARTH_PRESSURE_GS: MovingLoad.ActionCategory
    ACTION_CATEGORY_ACTION_FROM_SOIL_PERMANENT_WATER_PRESSURE_GS: MovingLoad.ActionCategory
    ACTION_CATEGORY_ACTION_FROM_SOIL_VARIABLE_EARTH_PRESSURE_GS: MovingLoad.ActionCategory
    ACTION_CATEGORY_ACTION_FROM_SOIL_VARIABLE_WATER_PRESSURE_GS: MovingLoad.ActionCategory
    ACTION_CATEGORY_ASH_LOAD_ON_ROOFINGS_ADJACENT_TO_BLAST_FURNACE_TABLE_5_4_1_2_Q_AS: MovingLoad.ActionCategory
    ACTION_CATEGORY_ASH_LOAD_ON_ROOFINGS_TABLE_5_4_1_1_Q_AS: MovingLoad.ActionCategory
    ACTION_CATEGORY_ASSEMBLY_CONSTRAINTS_QA: MovingLoad.ActionCategory
    ACTION_CATEGORY_CIVIL_BUILDINGS_ASSEMBLY_HALL_THEATER_CINEMA_Q_CB: MovingLoad.ActionCategory
    ACTION_CATEGORY_CIVIL_BUILDINGS_AUTOMOBILE_PASSAGE_AND_GARAGE_ONE_WAY_SLAB_FLOOR_BUS_Q_CB: MovingLoad.ActionCategory
    ACTION_CATEGORY_CIVIL_BUILDINGS_AUTOMOBILE_PASSAGE_AND_GARAGE_ONE_WAY_SLAB_FLOOR_FIRE_ENGINE_Q_CB: MovingLoad.ActionCategory
    ACTION_CATEGORY_CIVIL_BUILDINGS_AUTOMOBILE_PASSAGE_AND_GARAGE_TWO_WAY_SLAB_FLOOR_FIRE_ENGINE_Q_CB: MovingLoad.ActionCategory
    ACTION_CATEGORY_CIVIL_BUILDINGS_AUTOMOBILE_PASSAGE_AND_GARAGE_TWO_WAY_SLAB_ROOF_BUS_Q_CB: MovingLoad.ActionCategory
    ACTION_CATEGORY_CIVIL_BUILDINGS_BALCONY_OTHER_Q_CB: MovingLoad.ActionCategory
    ACTION_CATEGORY_CIVIL_BUILDINGS_BALCONY_POPULATION_MAY_BE_CONCENTRATED_Q_CB: MovingLoad.ActionCategory
    ACTION_CATEGORY_CIVIL_BUILDINGS_BATHROOM_TOILET_AND_WASHROOM_BUILDINGS_IN_ITEM_NO_1_Q_CB: MovingLoad.ActionCategory
    ACTION_CATEGORY_CIVIL_BUILDINGS_BATHROOM_TOILET_AND_WASHROOM_FOR_OTHER_BUILDINGS_Q_CB: MovingLoad.ActionCategory
    ACTION_CATEGORY_CIVIL_BUILDINGS_CANTEEN_DINING_HALL_ORDINARY_ARCHIVES_Q_CB: MovingLoad.ActionCategory
    ACTION_CATEGORY_CIVIL_BUILDINGS_CLASSROOM_LABORATORY_READING_ROOM_MEETING_ROOM_Q_CB: MovingLoad.ActionCategory
    ACTION_CATEGORY_CIVIL_BUILDINGS_DANCE_HALL_Q_CB: MovingLoad.ActionCategory
    ACTION_CATEGORY_CIVIL_BUILDINGS_DWELLING_HOSTEL_HOTEL_OFFICE_HOSPITAL_WARD_Q_CB: MovingLoad.ActionCategory
    ACTION_CATEGORY_CIVIL_BUILDINGS_GYMNASIUM_ARENA_Q_CB: MovingLoad.ActionCategory
    ACTION_CATEGORY_CIVIL_BUILDINGS_KITCHEN_FOR_DINING_HALL_Q_CB: MovingLoad.ActionCategory
    ACTION_CATEGORY_CIVIL_BUILDINGS_KITCHEN_OTHER_Q_CB: MovingLoad.ActionCategory
    ACTION_CATEGORY_CIVIL_BUILDINGS_LAUNDRY_Q_CB: MovingLoad.ActionCategory
    ACTION_CATEGORY_CIVIL_BUILDINGS_PASSAGE_ENTRANCE_HALL_STAIRCASE_HOSTEL_HOTEL_NURSERY_Q_CB: MovingLoad.ActionCategory
    ACTION_CATEGORY_CIVIL_BUILDINGS_PASSAGE_ENTRANCE_HALL_STAIRCASE_OFFICE_CLASSROOM_Q_CB: MovingLoad.ActionCategory
    ACTION_CATEGORY_CIVIL_BUILDINGS_PASSAGE_ENTRANCE_HALL_STAIRCASE_THICK_STREAM_OF_PEOPLE_Q_CB: MovingLoad.ActionCategory
    ACTION_CATEGORY_CIVIL_BUILDINGS_STAIRS_APARTMENT_HOUSE_Q_CB: MovingLoad.ActionCategory
    ACTION_CATEGORY_CIVIL_BUILDINGS_STAIRS_OTHER_Q_CB: MovingLoad.ActionCategory
    ACTION_CATEGORY_CIVIL_BUILDINGS_STANDS_WITHOUT_FIXED_SEAT_Q_CB: MovingLoad.ActionCategory
    ACTION_CATEGORY_CIVIL_BUILDINGS_STOREHOUSE_FOR_COLLECTING_BOOKS_ARCHIVES_STOREROOMS_Q_CB: MovingLoad.ActionCategory
    ACTION_CATEGORY_CIVIL_BUILDINGS_STORES_AND_SHOPS_EXHIBITION_HALLS_STATION_PORT_AIRPORT_Q_CB: MovingLoad.ActionCategory
    ACTION_CATEGORY_CIVIL_BUILDINGS_VENTILATOR_MOTOR_ROOM_ELEVATOR_MOTOR_ROOM_Q_CB: MovingLoad.ActionCategory
    ACTION_CATEGORY_CIVIL_BUILDINGS_WAREHOUSE_WITH_A_DENSE_CONCENTRATION_OF_SHELVING_Q_CB: MovingLoad.ActionCategory
    ACTION_CATEGORY_CONCENTRATED_AND_RAILING_LOADS_Q_CO: MovingLoad.ActionCategory
    ACTION_CATEGORY_CONCRETE_PRESSURE_Q4_2: MovingLoad.ActionCategory
    ACTION_CATEGORY_CONSTRUCTION_AND_MAINTENANCE_LOADS_AND_HORIZONTAL_LOAD_ON_RAILINGS_ACC_TO_5_5_3_Q_CM: MovingLoad.ActionCategory
    ACTION_CATEGORY_CONSTRUCTION_LOADS_DUE_TO_WORKING_PERSONNEL_Q_CP: MovingLoad.ActionCategory
    ACTION_CATEGORY_CONSTRUCTION_OPERATIONS_LOADING_Q2_3: MovingLoad.ActionCategory
    ACTION_CATEGORY_CRANE_LOADS_LIFTING_HOOK_CRANES_OF_WORKING_GRADE_A8_Q_CR: MovingLoad.ActionCategory
    ACTION_CATEGORY_CRANE_LOADS_WORKING_GRADES_A1_A3_Q_CR: MovingLoad.ActionCategory
    ACTION_CATEGORY_CRANE_LOADS_WORKING_GRADES_A4_A5_Q_CR: MovingLoad.ActionCategory
    ACTION_CATEGORY_CRANE_LOADS_WORKING_GRADES_A6_A7_Q_CR: MovingLoad.ActionCategory
    ACTION_CATEGORY_CRANE_LOAD_CL: MovingLoad.ActionCategory
    ACTION_CATEGORY_DEAD_LOAD_D: MovingLoad.ActionCategory
    ACTION_CATEGORY_DEAD_LOAD_DL: MovingLoad.ActionCategory
    ACTION_CATEGORY_DEAD_LOAD_GK: MovingLoad.ActionCategory
    ACTION_CATEGORY_DEAD_LOAD_SOIL_DLS: MovingLoad.ActionCategory
    ACTION_CATEGORY_DEAD_LOAD_SOIL_DS: MovingLoad.ActionCategory
    ACTION_CATEGORY_DEAD_LOAD_SOIL_GKS: MovingLoad.ActionCategory
    ACTION_CATEGORY_DEBRIS_EFFECT_Q6_2: MovingLoad.ActionCategory
    ACTION_CATEGORY_EARTHQUAKE_LOAD_E: MovingLoad.ActionCategory
    ACTION_CATEGORY_EARTHQUAKE_LOAD_EL: MovingLoad.ActionCategory
    ACTION_CATEGORY_EARTHQUAKE_LOAD_HORIZONTAL_EH: MovingLoad.ActionCategory
    ACTION_CATEGORY_EARTHQUAKE_LOAD_VERTICAL_EV: MovingLoad.ActionCategory
    ACTION_CATEGORY_EARTH_PRESSURE_FE: MovingLoad.ActionCategory
    ACTION_CATEGORY_EFFECTS_OF_HORIZONTAL_EARTHQUAKE_FORCES_QE: MovingLoad.ActionCategory
    ACTION_CATEGORY_EQUIPMENT_CHARGES_OF_CONTAINERS_LIQUID_Q_E3: MovingLoad.ActionCategory
    ACTION_CATEGORY_EQUIPMENT_CHARGES_OF_CONTAINERS_LOOSE_Q_E4: MovingLoad.ActionCategory
    ACTION_CATEGORY_EQUIPMENT_FORKLIFTS_AND_ELECTRIC_TRUCKS_Q_E5: MovingLoad.ActionCategory
    ACTION_CATEGORY_EQUIPMENT_ISOLATION_OF_EQUIPMENT_Q_E2: MovingLoad.ActionCategory
    ACTION_CATEGORY_EQUIPMENT_PERMANENT_EQUIPMENT_Q_E1: MovingLoad.ActionCategory
    ACTION_CATEGORY_EQUIPMENT_STORED_MATERIALS_AND_PRODUCTS_Q_M: MovingLoad.ActionCategory
    ACTION_CATEGORY_ERECTION_LOAD_ER: MovingLoad.ActionCategory
    ACTION_CATEGORY_EXCEPTIONAL_EXC: MovingLoad.ActionCategory
    ACTION_CATEGORY_FATIGUE_ACTION_QFAT: MovingLoad.ActionCategory
    ACTION_CATEGORY_FATIGUE_LM3_QFAT: MovingLoad.ActionCategory
    ACTION_CATEGORY_FLOOD_LOAD_FA: MovingLoad.ActionCategory
    ACTION_CATEGORY_FOUNDATION_SUBSIDENCE_QF: MovingLoad.ActionCategory
    ACTION_CATEGORY_GENERAL_CONSTRUCTION_ELEMENTS_AND_EQUIPMENT_G_GE: MovingLoad.ActionCategory
    ACTION_CATEGORY_GENERAL_VARIABLE_ACTIONS_Q_GE: MovingLoad.ActionCategory
    ACTION_CATEGORY_GEOTECHNICAL_LOADS_PERMANENT_GEP: MovingLoad.ActionCategory
    ACTION_CATEGORY_GEOTECHNICAL_LOADS_VARIABLE_GEV: MovingLoad.ActionCategory
    ACTION_CATEGORY_GR1A_LM1_PEDESTRIAN_CYCLE_TRACK_GR1A: MovingLoad.ActionCategory
    ACTION_CATEGORY_GR1B_SINGLE_AXLE_GR1B: MovingLoad.ActionCategory
    ACTION_CATEGORY_GR2_HORIZONTAL_FORCES_LM1_GR2: MovingLoad.ActionCategory
    ACTION_CATEGORY_GR3_PEDESTRIAN_LOAD_GR3: MovingLoad.ActionCategory
    ACTION_CATEGORY_GR4_CROWD_LOADING_PEDESTRIAN_LOAD_GR4: MovingLoad.ActionCategory
    ACTION_CATEGORY_GR5_SPECIAL_VEHICLES_LM1_GR5: MovingLoad.ActionCategory
    ACTION_CATEGORY_GR6_LOADS_FOR_BEARINGS_EXCHANGE_GR6: MovingLoad.ActionCategory
    ACTION_CATEGORY_GROUND_WATER_FGW: MovingLoad.ActionCategory
    ACTION_CATEGORY_HEIGHT_DIFFERENCE_GH: MovingLoad.ActionCategory
    ACTION_CATEGORY_HORIZONTAL_EARTHQUAKE_ACTION_EH: MovingLoad.ActionCategory
    ACTION_CATEGORY_ICE_ACTION_FICE: MovingLoad.ActionCategory
    ACTION_CATEGORY_ICE_LOADINGS_Q_I: MovingLoad.ActionCategory
    ACTION_CATEGORY_ICE_QI: MovingLoad.ActionCategory
    ACTION_CATEGORY_IMPOSED_ACTION_Q: MovingLoad.ActionCategory
    ACTION_CATEGORY_IMPOSED_DEFORMATIONS_DUE_TO_PRE_STRESSING_P: MovingLoad.ActionCategory
    ACTION_CATEGORY_IMPOSED_LOADS_ACCESSIBLE_FLAT_ROOFS_EXCLUDING_CATEGORIES_A_TO_D_Q_J: MovingLoad.ActionCategory
    ACTION_CATEGORY_IMPOSED_LOADS_ACCESSIBLE_FLAT_ROOFS_WITH_OCCUPANCY_A_Q_KA: MovingLoad.ActionCategory
    ACTION_CATEGORY_IMPOSED_LOADS_ACCESSIBLE_FLAT_ROOFS_WITH_OCCUPANCY_B_Q_KB: MovingLoad.ActionCategory
    ACTION_CATEGORY_IMPOSED_LOADS_ACCESSIBLE_FLAT_ROOFS_WITH_OCCUPANCY_C_Q_KC: MovingLoad.ActionCategory
    ACTION_CATEGORY_IMPOSED_LOADS_ACCESSIBLE_FLAT_ROOFS_WITH_OCCUPANCY_D_Q_KD: MovingLoad.ActionCategory
    ACTION_CATEGORY_IMPOSED_LOADS_AREAS_WHERE_PEOPLE_CAN_CONGREGATE_Q_C: MovingLoad.ActionCategory
    ACTION_CATEGORY_IMPOSED_LOADS_CATEGORY_A_DOMESTIC_RESIDENTIAL_AREAS_QI_A: MovingLoad.ActionCategory
    ACTION_CATEGORY_IMPOSED_LOADS_CATEGORY_B_OFFICE_AREAS_QI_B: MovingLoad.ActionCategory
    ACTION_CATEGORY_IMPOSED_LOADS_CATEGORY_C_CONGREGATION_AREAS_QI_C: MovingLoad.ActionCategory
    ACTION_CATEGORY_IMPOSED_LOADS_CATEGORY_D_SHOPPING_AREAS_QI_D: MovingLoad.ActionCategory
    ACTION_CATEGORY_IMPOSED_LOADS_CATEGORY_E_STORAGE_AREAS_QI_E: MovingLoad.ActionCategory
    ACTION_CATEGORY_IMPOSED_LOADS_CATEGORY_E_TRAFFIC_AREA_VEHICLE_WEIGHT_LESS_OR_EQUAL_TO_30_KN_QI_E: MovingLoad.ActionCategory
    ACTION_CATEGORY_IMPOSED_LOADS_CATEGORY_F_ROOFS_ACCESSIBLE_ONLY_PRIVATELY_QI_F: MovingLoad.ActionCategory
    ACTION_CATEGORY_IMPOSED_LOADS_CATEGORY_F_TRAFFIC_AREA_VEHICLE_WEIGHT_LESS_OR_EQUAL_TO_30_KN_QI_F: MovingLoad.ActionCategory
    ACTION_CATEGORY_IMPOSED_LOADS_CATEGORY_G1_ROOFS_SLOPE_LESS_THAN_20_Q_G1: MovingLoad.ActionCategory
    ACTION_CATEGORY_IMPOSED_LOADS_CATEGORY_G2_ROOFS_SLOPE_MORE_THAN_40_Q_G2: MovingLoad.ActionCategory
    ACTION_CATEGORY_IMPOSED_LOADS_CATEGORY_G_TRAFFIC_AREA_VEHICLE_WEIGHT_LESS_OR_EQUAL_TO_160_KN_QI_G: MovingLoad.ActionCategory
    ACTION_CATEGORY_IMPOSED_LOADS_CATEGORY_H_INACCESSIBLE_ROOFS_QI_H: MovingLoad.ActionCategory
    ACTION_CATEGORY_IMPOSED_LOADS_CATEGORY_H_ROOFS_ACCESSIBLE_ONLY_FOR_MAINTENANCE_QI_H: MovingLoad.ActionCategory
    ACTION_CATEGORY_IMPOSED_LOADS_CATEGORY_H_ROOFS_QI_H: MovingLoad.ActionCategory
    ACTION_CATEGORY_IMPOSED_LOADS_CATEGORY_I_ROOFS_ACCESSIBLE_QI_I: MovingLoad.ActionCategory
    ACTION_CATEGORY_IMPOSED_LOADS_CATEGORY_I_ROOFS_HELICOPTER_QI_I: MovingLoad.ActionCategory
    ACTION_CATEGORY_IMPOSED_LOADS_CATEGORY_J_ROOFS_HELIPORT_EQUIPMENT_QI_J: MovingLoad.ActionCategory
    ACTION_CATEGORY_IMPOSED_LOADS_CATEGORY_K_FLAT_ROOFS_HELICOPTER_QI_K: MovingLoad.ActionCategory
    ACTION_CATEGORY_IMPOSED_LOADS_CATEGORY_K_FLAT_ROOFS_OTHER_QI_K: MovingLoad.ActionCategory
    ACTION_CATEGORY_IMPOSED_LOADS_CATEGORY_K_ROOFS_FOR_SPECIAL_USES_HELIPORTS_QI_K: MovingLoad.ActionCategory
    ACTION_CATEGORY_IMPOSED_LOADS_DOMESTIC_AND_RESIDENTIAL_AREAS_Q_A: MovingLoad.ActionCategory
    ACTION_CATEGORY_IMPOSED_LOADS_FORK_LIFTS_Q_FL: MovingLoad.ActionCategory
    ACTION_CATEGORY_IMPOSED_LOADS_FROM_CRANES_CLASS_11_12_13_Q_CR: MovingLoad.ActionCategory
    ACTION_CATEGORY_IMPOSED_LOADS_FROM_CRANES_CLASS_1_7_Q_CR: MovingLoad.ActionCategory
    ACTION_CATEGORY_IMPOSED_LOADS_FROM_CRANES_CLASS_8_Q_CR: MovingLoad.ActionCategory
    ACTION_CATEGORY_IMPOSED_LOADS_FROM_CRANES_CLASS_9_10_Q_CR: MovingLoad.ActionCategory
    ACTION_CATEGORY_IMPOSED_LOADS_FROM_CRANES_SUPPORT_FORCES_Q_CR: MovingLoad.ActionCategory
    ACTION_CATEGORY_IMPOSED_LOADS_HELICOPTER_LOAD_Q_HC: MovingLoad.ActionCategory
    ACTION_CATEGORY_IMPOSED_LOADS_INACCESSIBLE_ROOFS_Q_H: MovingLoad.ActionCategory
    ACTION_CATEGORY_IMPOSED_LOADS_INDUSTRIAL_USE_Q_E2: MovingLoad.ActionCategory
    ACTION_CATEGORY_IMPOSED_LOADS_LIGHT_INDUSTRIAL_USE_Q_E1: MovingLoad.ActionCategory
    ACTION_CATEGORY_IMPOSED_LOADS_LIVE_LOADS_LL: MovingLoad.ActionCategory
    ACTION_CATEGORY_IMPOSED_LOADS_PUBLIC_AREAS_NOT_SUSCEPTIBLE_TO_CROWDING_Q_B: MovingLoad.ActionCategory
    ACTION_CATEGORY_IMPOSED_LOADS_SHOPPING_AREAS_Q_D: MovingLoad.ActionCategory
    ACTION_CATEGORY_IMPOSED_LOADS_STORAGE_AREAS_Q_E3: MovingLoad.ActionCategory
    ACTION_CATEGORY_IMPOSED_LOADS_TRAFFIC_AND_PARKING_AREAS_FOR_VEHICLES_25_KN_Q_F: MovingLoad.ActionCategory
    ACTION_CATEGORY_IMPOSED_LOADS_TRAFFIC_AND_PARKING_AREAS_FOR_VEHICLES_25_KN_TO_160_KN_Q_G: MovingLoad.ActionCategory
    ACTION_CATEGORY_IMPOSED_LOAD_QK: MovingLoad.ActionCategory
    ACTION_CATEGORY_INDUSTRIALIZED_CONSTRUCTION_ELEMENTS_G_IN: MovingLoad.ActionCategory
    ACTION_CATEGORY_INDUSTRIALIZED_CONSTRUCTION_ELEMENTS_WITH_ADDITION_ON_SITE_G_IS: MovingLoad.ActionCategory
    ACTION_CATEGORY_INDUSTRIAL_BUILDINGS_COTTON_MILLING_WORKSHOP_TABLE_D_0_1_4_Q_IB: MovingLoad.ActionCategory
    ACTION_CATEGORY_INDUSTRIAL_BUILDINGS_GRAIN_PROCESSING_WORKSHOP_TABLE_D_0_1_6_Q_IB: MovingLoad.ActionCategory
    ACTION_CATEGORY_INDUSTRIAL_BUILDINGS_MANUFACTURING_WORKSHOP_TABLE_D_0_1_2_ITEM_NO_1_2_4_6_Q_IB: MovingLoad.ActionCategory
    ACTION_CATEGORY_INDUSTRIAL_BUILDINGS_MANUFACTURING_WORKSHOP_TABLE_D_0_1_2_ITEM_NO_3_5_Q_IB: MovingLoad.ActionCategory
    ACTION_CATEGORY_INDUSTRIAL_BUILDINGS_MANUFACTURING_WORKSHOP_TABLE_D_0_1_2_ITEM_NO_7_Q_IB: MovingLoad.ActionCategory
    ACTION_CATEGORY_INDUSTRIAL_BUILDINGS_METAL_WORKING_WORKSHOP_TABLE_D_0_1_1_Q_IB: MovingLoad.ActionCategory
    ACTION_CATEGORY_INDUSTRIAL_BUILDINGS_PREPARATORY_WORKSHOP_FOR_TIRE_PLANT_TABLE_D_0_1_5_Q_IB: MovingLoad.ActionCategory
    ACTION_CATEGORY_INDUSTRIAL_BUILDINGS_SEMICONDUCTOR_PRODUCTION_WORKSHOP_TABLE_D_0_1_3_Q_IB: MovingLoad.ActionCategory
    ACTION_CATEGORY_INFLUENCES_RESULTING_FROM_TEMPERATURE_CHANGES_SHRINKAGE_OR_CREEP_ETC_T: MovingLoad.ActionCategory
    ACTION_CATEGORY_IN_SITU_CONCRETE_LOADING_ALLOWANCE_Q4_1: MovingLoad.ActionCategory
    ACTION_CATEGORY_LATERAL_EARTH_PRESSURE_H: MovingLoad.ActionCategory
    ACTION_CATEGORY_LIQUID_PRESSURE_FLP: MovingLoad.ActionCategory
    ACTION_CATEGORY_LIVE_LOADS_ON_ROOFS_HELICOPTER_ON_THE_ROOF_ACC_TO_5_3_2_Q_LR: MovingLoad.ActionCategory
    ACTION_CATEGORY_LIVE_LOADS_ON_ROOFS_MANNED_ROOF_Q_LR: MovingLoad.ActionCategory
    ACTION_CATEGORY_LIVE_LOADS_ON_ROOFS_ROOF_GARDEN_Q_LR: MovingLoad.ActionCategory
    ACTION_CATEGORY_LIVE_LOADS_ON_ROOFS_ROOF_SPORTS_GROUND_Q_LR: MovingLoad.ActionCategory
    ACTION_CATEGORY_LIVE_LOADS_ON_ROOFS_UNMANNED_ROOF_Q_LR: MovingLoad.ActionCategory
    ACTION_CATEGORY_LIVE_LOAD_DUE_TO_EARTHQUAKE_E: MovingLoad.ActionCategory
    ACTION_CATEGORY_LIVE_LOAD_DUE_TO_WIND_W: MovingLoad.ActionCategory
    ACTION_CATEGORY_LIVE_LOAD_L: MovingLoad.ActionCategory
    ACTION_CATEGORY_LIVE_LOAD_Q: MovingLoad.ActionCategory
    ACTION_CATEGORY_LOADS_FROM_CRANES_GROUP_6K_Q_C4: MovingLoad.ActionCategory
    ACTION_CATEGORY_LOADS_FROM_CRANES_GROUP_7K_Q_C3: MovingLoad.ActionCategory
    ACTION_CATEGORY_LOADS_FROM_CRANES_GROUP_8K_ELASTIC_Q_C2: MovingLoad.ActionCategory
    ACTION_CATEGORY_LOADS_FROM_CRANES_GROUP_8K_RIGID_Q_C1: MovingLoad.ActionCategory
    ACTION_CATEGORY_LOADS_FROM_CRANES_IN_GENERAL_Q_C1: MovingLoad.ActionCategory
    ACTION_CATEGORY_LOADS_FROM_CRANES_OTHER_GROUPS_Q_C5: MovingLoad.ActionCategory
    ACTION_CATEGORY_LOADS_FROM_VEHICLES_Q_V: MovingLoad.ActionCategory
    ACTION_CATEGORY_LOADS_PRODUCED_BY_FLOWING_WATER_Q6_1: MovingLoad.ActionCategory
    ACTION_CATEGORY_LOAD_ARISING_FROM_EXTRAORDINARY_EVENT_AK: MovingLoad.ActionCategory
    ACTION_CATEGORY_LOAD_DUE_TO_FLUIDS_WITH_WELL_DEFINED_PRESSURES_AND_MAXIMUM_HEIGHTS_F: MovingLoad.ActionCategory
    ACTION_CATEGORY_LOAD_DUE_TO_GROUND_WATER_PRESSURE_HW: MovingLoad.ActionCategory
    ACTION_CATEGORY_LOAD_DUE_TO_LATERAL_EARTH_PRESSURE_GROUND_WATER_PRESSURE_H: MovingLoad.ActionCategory
    ACTION_CATEGORY_LOAD_DUE_TO_LATERAL_EARTH_PRESSURE_OR_PRESSURE_OF_BULK_MATERIALS_HEB: MovingLoad.ActionCategory
    ACTION_CATEGORY_MAXIMUM_WIND_Q5_1: MovingLoad.ActionCategory
    ACTION_CATEGORY_NONE_NONE: MovingLoad.ActionCategory
    ACTION_CATEGORY_NOTIONAL_HORIZONTAL_FORCES_ACCORDING_TO_BS_5950_NK: MovingLoad.ActionCategory
    ACTION_CATEGORY_NOTIONAL_LOAD_FOR_STRUCTURAL_INTEGRITY_N: MovingLoad.ActionCategory
    ACTION_CATEGORY_OTHER_ACTIONS_QO: MovingLoad.ActionCategory
    ACTION_CATEGORY_OTHER_CONSTRUCTION_LOADS_Q_CO: MovingLoad.ActionCategory
    ACTION_CATEGORY_OTHER_IMPOSED_PERMANENT_DEFORMATIONS_FOR_EXAMPLE_SETTLEMENT_G_OT: MovingLoad.ActionCategory
    ACTION_CATEGORY_OTHER_LIVE_LOADS_QO: MovingLoad.ActionCategory
    ACTION_CATEGORY_OTHER_LOADS_Q9: MovingLoad.ActionCategory
    ACTION_CATEGORY_OTHER_TYPES_OF_VARIABLE_LOADS_Q_OT: MovingLoad.ActionCategory
    ACTION_CATEGORY_PERMANENT_EARTH_PRESSURE_G_E: MovingLoad.ActionCategory
    ACTION_CATEGORY_PERMANENT_FROM_CRANES_G_CR: MovingLoad.ActionCategory
    ACTION_CATEGORY_PERMANENT_G: MovingLoad.ActionCategory
    ACTION_CATEGORY_PERMANENT_G1: MovingLoad.ActionCategory
    ACTION_CATEGORY_PERMANENT_GEOTECHNICAL_ACTIONS_SOIL_PARAMETERS_FACTORED_G_GF: MovingLoad.ActionCategory
    ACTION_CATEGORY_PERMANENT_GEOTECHNICAL_ACTIONS_SOIL_PARAMETERS_UN_FACTORED_G_GU: MovingLoad.ActionCategory
    ACTION_CATEGORY_PERMANENT_IMPOSED_GQ: MovingLoad.ActionCategory
    ACTION_CATEGORY_PERMANENT_IMPOSED_NON_STRUCTURAL_GQ: MovingLoad.ActionCategory
    ACTION_CATEGORY_PERMANENT_LOADS_FROM_FLUIDS_G_FL: MovingLoad.ActionCategory
    ACTION_CATEGORY_PERMANENT_NON_STRUCTURAL_G2: MovingLoad.ActionCategory
    ACTION_CATEGORY_PERMANENT_SELF_WEIGHT_SELF_WEIGHT_OF_SOIL_G: MovingLoad.ActionCategory
    ACTION_CATEGORY_PERMANENT_SMALL_FLUCTUATIONS_G_ASTERISK: MovingLoad.ActionCategory
    ACTION_CATEGORY_PERMANENT_SOIL_GS: MovingLoad.ActionCategory
    ACTION_CATEGORY_PERMANENT_WATER_PRESSURE_G_W: MovingLoad.ActionCategory
    ACTION_CATEGORY_PERSONNEL_LOADS_QP: MovingLoad.ActionCategory
    ACTION_CATEGORY_PLACEMENT_LOADS_QP: MovingLoad.ActionCategory
    ACTION_CATEGORY_PREMISES_OF_BUILDINGS_UNIFORM_LOADS_2_KN_M2_AND_MORE_Q_U2: MovingLoad.ActionCategory
    ACTION_CATEGORY_PREMISES_OF_BUILDINGS_UNIFORM_LOADS_LESS_THAN_2_KN_M2_Q_U1: MovingLoad.ActionCategory
    ACTION_CATEGORY_PRESTRESSING_Q8_3: MovingLoad.ActionCategory
    ACTION_CATEGORY_PRESTRESS_P: MovingLoad.ActionCategory
    ACTION_CATEGORY_RAINWATER_PONDING_FPND: MovingLoad.ActionCategory
    ACTION_CATEGORY_RAIN_LOAD_QR: MovingLoad.ActionCategory
    ACTION_CATEGORY_RAIN_LOAD_R: MovingLoad.ActionCategory
    ACTION_CATEGORY_ROOF_LIVE_LOAD_LR: MovingLoad.ActionCategory
    ACTION_CATEGORY_ROOF_LIVE_LOAD_QR: MovingLoad.ActionCategory
    ACTION_CATEGORY_SEISMIC_ACTIONS_AE: MovingLoad.ActionCategory
    ACTION_CATEGORY_SEISMIC_AE: MovingLoad.ActionCategory
    ACTION_CATEGORY_SEISMIC_EFFECTS_Q7: MovingLoad.ActionCategory
    ACTION_CATEGORY_SELF_STRAINING_FORCE_PERMANENT_TP: MovingLoad.ActionCategory
    ACTION_CATEGORY_SELF_STRAINING_FORCE_VARIABLE_TV: MovingLoad.ActionCategory
    ACTION_CATEGORY_SELF_WEIGHT_CONCRETE_1600_KG_M3_AND_LESS_ON_BUILDING_SITE_G_C3: MovingLoad.ActionCategory
    ACTION_CATEGORY_SELF_WEIGHT_CONCRETE_1600_KG_M3_AND_LESS_PREFABRICATED_G_C2: MovingLoad.ActionCategory
    ACTION_CATEGORY_SELF_WEIGHT_CONCRETE_MORE_THAN_1600_KG_M3_STONE_TIMBER_G_C1: MovingLoad.ActionCategory
    ACTION_CATEGORY_SELF_WEIGHT_G: MovingLoad.ActionCategory
    ACTION_CATEGORY_SELF_WEIGHT_OF_GENERAL_WOODEN_STRUCTURES_G_WG: MovingLoad.ActionCategory
    ACTION_CATEGORY_SELF_WEIGHT_OF_INDUSTRIALIZED_WOODEN_STRUCTURES_G_WI: MovingLoad.ActionCategory
    ACTION_CATEGORY_SELF_WEIGHT_OF_METAL_STRUCTURES_G_ME: MovingLoad.ActionCategory
    ACTION_CATEGORY_SELF_WEIGHT_OF_PREFABRICATED_STRUCTURES_G_PR: MovingLoad.ActionCategory
    ACTION_CATEGORY_SELF_WEIGHT_OF_STRUCTURES_BUILT_ON_SITE_G_SI: MovingLoad.ActionCategory
    ACTION_CATEGORY_SELF_WEIGHT_Q1_1: MovingLoad.ActionCategory
    ACTION_CATEGORY_SELF_WEIGHT_SOIL_MODIFIED_G_SM: MovingLoad.ActionCategory
    ACTION_CATEGORY_SELF_WEIGHT_SOIL_NATURAL_G_SN: MovingLoad.ActionCategory
    ACTION_CATEGORY_SELF_WEIGHT_STEEL_CONSTRUCTIONS_G_S1: MovingLoad.ActionCategory
    ACTION_CATEGORY_SELF_WEIGHT_STEEL_CONSTRUCTIONS_OVER_50_OF_TOTAL_LOAD_G_S2: MovingLoad.ActionCategory
    ACTION_CATEGORY_SERVICEABILITY_EARTHQUAKE_ACTION_ES: MovingLoad.ActionCategory
    ACTION_CATEGORY_SERVICEABILITY_WIND_ACTION_WS: MovingLoad.ActionCategory
    ACTION_CATEGORY_SETTLEMENTS_OF_SUPPORTS_SHRINKAGE_SETT: MovingLoad.ActionCategory
    ACTION_CATEGORY_SETTLEMENT_Q8_2: MovingLoad.ActionCategory
    ACTION_CATEGORY_SNOW_ACTION_FSN: MovingLoad.ActionCategory
    ACTION_CATEGORY_SNOW_AND_ICE_Q2_4: MovingLoad.ActionCategory
    ACTION_CATEGORY_SNOW_ICE_AND_RAIN_S: MovingLoad.ActionCategory
    ACTION_CATEGORY_SNOW_ICE_LOADS_1_LESS_OR_EQUAL_TO_SK_LESSER_THAN_2_KN_M2_QS: MovingLoad.ActionCategory
    ACTION_CATEGORY_SNOW_ICE_LOADS_2_LESS_OR_EQUAL_TO_SK_LESSER_THAN_3_KN_M2_QS: MovingLoad.ActionCategory
    ACTION_CATEGORY_SNOW_ICE_LOADS_FINLAND_ICELAND_QS: MovingLoad.ActionCategory
    ACTION_CATEGORY_SNOW_ICE_LOADS_H_GREATER_THAN_1000_M_QS: MovingLoad.ActionCategory
    ACTION_CATEGORY_SNOW_ICE_LOADS_H_LESS_OR_EQUAL_TO_1000_M_QS: MovingLoad.ActionCategory
    ACTION_CATEGORY_SNOW_ICE_LOADS_OUTDOOR_TERRACES_AND_BALCONIES_SK_GREATER_THAN_2_75_KN_M2_QS: MovingLoad.ActionCategory
    ACTION_CATEGORY_SNOW_ICE_LOADS_OUTDOOR_TERRACES_AND_BALCONIES_SK_LESS_OR_EQUAL_TO_2_75_KN_M2_QS: MovingLoad.ActionCategory
    ACTION_CATEGORY_SNOW_ICE_LOADS_QS: MovingLoad.ActionCategory
    ACTION_CATEGORY_SNOW_ICE_LOADS_SK_GREATER_OR_EQUAL_TO_3_KN_M2_QS: MovingLoad.ActionCategory
    ACTION_CATEGORY_SNOW_ICE_LOADS_SK_GREATER_THAN_2_75_KN_M2_QS: MovingLoad.ActionCategory
    ACTION_CATEGORY_SNOW_ICE_LOADS_SK_LESS_OR_EQUAL_TO_2_75_KN_M2_QS: MovingLoad.ActionCategory
    ACTION_CATEGORY_SNOW_LOADINGS_Q_S: MovingLoad.ActionCategory
    ACTION_CATEGORY_SNOW_LOAD_S: MovingLoad.ActionCategory
    ACTION_CATEGORY_SNOW_LOAD_ZONE_III_S: MovingLoad.ActionCategory
    ACTION_CATEGORY_SNOW_LOAD_ZONE_II_S: MovingLoad.ActionCategory
    ACTION_CATEGORY_SNOW_LOAD_ZONE_I_S: MovingLoad.ActionCategory
    ACTION_CATEGORY_SNOW_REGION_SAINT_PIERRE_AND_MIQUELON_QS: MovingLoad.ActionCategory
    ACTION_CATEGORY_SOIL_Q1_2: MovingLoad.ActionCategory
    ACTION_CATEGORY_SPECIAL_LOADINGS_PS: MovingLoad.ActionCategory
    ACTION_CATEGORY_STORAGE_AREAS_Q2_2: MovingLoad.ActionCategory
    ACTION_CATEGORY_SUPPORTED_CONSTRUCTION_Q2_1: MovingLoad.ActionCategory
    ACTION_CATEGORY_TEMPERATURE_CLIMATIC_INFLUENCES_Q_T: MovingLoad.ActionCategory
    ACTION_CATEGORY_TEMPERATURE_FIRE_TS: MovingLoad.ActionCategory
    ACTION_CATEGORY_TEMPERATURE_NON_FIRE_QT: MovingLoad.ActionCategory
    ACTION_CATEGORY_TEMPERATURE_Q8_1: MovingLoad.ActionCategory
    ACTION_CATEGORY_TEMPERATURE_SHRINKAGE_CREEP_ETC_T: MovingLoad.ActionCategory
    ACTION_CATEGORY_THERMAL_ACTIONS_ARISING_FROM_THE_FIRE_T: MovingLoad.ActionCategory
    ACTION_CATEGORY_THERMAL_ACTIONS_QT: MovingLoad.ActionCategory
    ACTION_CATEGORY_THERMAL_ACTION_ACCORDING_TO_9_1_3_T: MovingLoad.ActionCategory
    ACTION_CATEGORY_TORNADO_LOAD_WT: MovingLoad.ActionCategory
    ACTION_CATEGORY_ULTIMATE_EARTHQUAKE_ACTION_EU: MovingLoad.ActionCategory
    ACTION_CATEGORY_ULTIMATE_WIND_ACTION_WU: MovingLoad.ActionCategory
    ACTION_CATEGORY_UNEVEN_SETTLEMENTS_G_US: MovingLoad.ActionCategory
    ACTION_CATEGORY_UNIT_LOADS_QU: MovingLoad.ActionCategory
    ACTION_CATEGORY_VARIABLE_GEOTECHNICAL_ACTIONS_SOIL_PARAMETERS_FACTORED_GROUNDWATER_GEF1: MovingLoad.ActionCategory
    ACTION_CATEGORY_VARIABLE_GEOTECHNICAL_ACTIONS_SOIL_PARAMETERS_FACTORED_GROUND_WATER_FLUIDS_GEF2: MovingLoad.ActionCategory
    ACTION_CATEGORY_VARIABLE_GEOTECHNICAL_ACTIONS_SOIL_PARAMETERS_FACTORED_OTHER_ACTIONS_GEF3: MovingLoad.ActionCategory
    ACTION_CATEGORY_VARIABLE_GEOTECHNICAL_ACTIONS_SOIL_PARAMETERS_UN_FACTORED_GROUNDWATER_GEU1: MovingLoad.ActionCategory
    ACTION_CATEGORY_VARIABLE_GEOTECHNICAL_ACTIONS_SOIL_PARAMETERS_UN_FACTORED_GROUND_WATER_FLUIDS_GEU2: MovingLoad.ActionCategory
    ACTION_CATEGORY_VARIABLE_GEOTECHNICAL_ACTIONS_SOIL_PARAMETERS_UN_FACTORED_OTHER_ACTIONS_GEU3: MovingLoad.ActionCategory
    ACTION_CATEGORY_VARIABLE_LOADS_FROM_FLUIDS_Q_FL: MovingLoad.ActionCategory
    ACTION_CATEGORY_VARIABLE_PERSISTENT_HORIZONTAL_IMPOSED_ACTIONS_Q3: MovingLoad.ActionCategory
    ACTION_CATEGORY_VARIABLE_Q: MovingLoad.ActionCategory
    ACTION_CATEGORY_VERTICAL_EARTHQUAKE_ACTION_EV: MovingLoad.ActionCategory
    ACTION_CATEGORY_WEIGHT_OF_ICE_DI: MovingLoad.ActionCategory
    ACTION_CATEGORY_WIND_LOADINGS_Q_W: MovingLoad.ActionCategory
    ACTION_CATEGORY_WIND_LOADS_FWK_EXECUTION_QWE: MovingLoad.ActionCategory
    ACTION_CATEGORY_WIND_LOADS_FWK_PERSISTENT_DESIGN_SITUATIONS_QWP: MovingLoad.ActionCategory
    ACTION_CATEGORY_WIND_LOADS_FW_QW: MovingLoad.ActionCategory
    ACTION_CATEGORY_WIND_LOAD_ACCORDING_TO_8_1_4_W: MovingLoad.ActionCategory
    ACTION_CATEGORY_WIND_LOAD_W: MovingLoad.ActionCategory
    ACTION_CATEGORY_WIND_LOAD_WK: MovingLoad.ActionCategory
    ACTION_CATEGORY_WIND_LOAD_WL: MovingLoad.ActionCategory
    ACTION_CATEGORY_WIND_ON_ICE_DETERMINED_IN_ACCORDANCE_WITH_SECTION_10_WI: MovingLoad.ActionCategory
    ACTION_CATEGORY_WIND_QW: MovingLoad.ActionCategory
    ACTION_CATEGORY_WORKING_WIND_Q5_2: MovingLoad.ActionCategory
    class LaneDefinitionsTable(_message.Message):
        __slots__ = ()
        def __init__(self) -> None: ...
    class LoadCasesTable(_message.Message):
        __slots__ = ("rows",)
        ROWS_FIELD_NUMBER: _ClassVar[int]
        rows: _containers.RepeatedCompositeFieldContainer[MovingLoad.LoadCasesRow]
        def __init__(self, rows: _Optional[_Iterable[_Union[MovingLoad.LoadCasesRow, _Mapping]]] = ...) -> None: ...
    class LoadCasesRow(_message.Message):
        __slots__ = ("no", "description", "step", "load_case")
        NO_FIELD_NUMBER: _ClassVar[int]
        DESCRIPTION_FIELD_NUMBER: _ClassVar[int]
        STEP_FIELD_NUMBER: _ClassVar[int]
        LOAD_CASE_FIELD_NUMBER: _ClassVar[int]
        no: int
        description: str
        step: int
        load_case: int
        def __init__(self, no: _Optional[int] = ..., description: _Optional[str] = ..., step: _Optional[int] = ..., load_case: _Optional[int] = ...) -> None: ...
    class MovementsTable(_message.Message):
        __slots__ = ("rows",)
        ROWS_FIELD_NUMBER: _ClassVar[int]
        rows: _containers.RepeatedCompositeFieldContainer[MovingLoad.MovementsRow]
        def __init__(self, rows: _Optional[_Iterable[_Union[MovingLoad.MovementsRow, _Mapping]]] = ...) -> None: ...
    class MovementsRow(_message.Message):
        __slots__ = ("no", "description", "lane_definition", "load_model", "load_factor", "distance_from_previous_load", "independently_related_to_previous_load")
        NO_FIELD_NUMBER: _ClassVar[int]
        DESCRIPTION_FIELD_NUMBER: _ClassVar[int]
        LANE_DEFINITION_FIELD_NUMBER: _ClassVar[int]
        LOAD_MODEL_FIELD_NUMBER: _ClassVar[int]
        LOAD_FACTOR_FIELD_NUMBER: _ClassVar[int]
        DISTANCE_FROM_PREVIOUS_LOAD_FIELD_NUMBER: _ClassVar[int]
        INDEPENDENTLY_RELATED_TO_PREVIOUS_LOAD_FIELD_NUMBER: _ClassVar[int]
        no: int
        description: str
        lane_definition: int
        load_model: int
        load_factor: float
        distance_from_previous_load: float
        independently_related_to_previous_load: bool
        def __init__(self, no: _Optional[int] = ..., description: _Optional[str] = ..., lane_definition: _Optional[int] = ..., load_model: _Optional[int] = ..., load_factor: _Optional[float] = ..., distance_from_previous_load: _Optional[float] = ..., independently_related_to_previous_load: bool = ...) -> None: ...
    ACTION_CATEGORY_FIELD_NUMBER: _ClassVar[int]
    ALL_SURFACES_USED_FIELD_NUMBER: _ClassVar[int]
    COMMENT_FIELD_NUMBER: _ClassVar[int]
    GENERATE_LOAD_CASES_FIELD_NUMBER: _ClassVar[int]
    LANE_DEFINITIONS_FIELD_NUMBER: _ClassVar[int]
    LOAD_CASES_FIELD_NUMBER: _ClassVar[int]
    MOVEMENTS_FIELD_NUMBER: _ClassVar[int]
    ID_FOR_EXPORT_IMPORT_FIELD_NUMBER: _ClassVar[int]
    METADATA_FOR_EXPORT_IMPORT_FIELD_NUMBER: _ClassVar[int]
    action_category: MovingLoad.ActionCategory
    all_surfaces_used: bool
    comment: str
    generate_load_cases: bool
    lane_definitions: MovingLoad.LaneDefinitionsTable
    load_cases: MovingLoad.LoadCasesTable
    movements: MovingLoad.MovementsTable
    id_for_export_import: str
    metadata_for_export_import: str
    def __init__(self, action_category: _Optional[_Union[MovingLoad.ActionCategory, str]] = ..., all_surfaces_used: bool = ..., comment: _Optional[str] = ..., generate_load_cases: bool = ..., lane_definitions: _Optional[_Union[MovingLoad.LaneDefinitionsTable, _Mapping]] = ..., load_cases: _Optional[_Union[MovingLoad.LoadCasesTable, _Mapping]] = ..., movements: _Optional[_Union[MovingLoad.MovementsTable, _Mapping]] = ..., id_for_export_import: _Optional[str] = ..., metadata_for_export_import: _Optional[str] = ...) -> None: ...
